=== debian/changelog ===
netcdf-fortran (4.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Add license & copyright for cfortran.h and its documentation.
  * Refresh patches, update my email to use @debian.org address.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jan 2016 11:35:49 +0100

netcdf-fortran (4.4.2-4) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Jan 2016 20:58:07 +0100

netcdf-fortran (4.4.2-3) unstable; urgency=medium

  * Limit dh_installexamples to architecture dependent packages.
    (closes: #809121)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2015 14:15:43 +0100

netcdf-fortran (4.4.2-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2015 21:14:26 +0100

netcdf-fortran (4.4.2-2~exp1) experimental; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Disable parallel test execution.
  * Bump minimum required libnetcdf-dev to 4.4.0~rc3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Oct 2015 15:32:49 +0100
