## netcdf-fortran 4.4.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,14 @@
 
 #Project Name for netCDF-Fortran
 PROJECT (NC4F Fortran C)
-set(PACKAGE "netcdf-fortran" CACHE STRING "")
+SET(NC4F_CTEST_PROJECT_NAME "netcdf-fortran")
+
+set(PACKAGE "${NC4F_CTEST_PROJECT_NAME}" CACHE STRING "")
+
 #Project Version
 SET(NC4F_VERSION_MAJOR 4)
 SET(NC4F_VERSION_MINOR 4)
-SET(NC4F_VERSION_PATCH 3)
+SET(NC4F_VERSION_PATCH 4)
 SET(NC4F_VERSION_NOTE "")
 SET(NC4F_VERSION ${NC4F_VERSION_MAJOR}.${NC4F_VERSION_MINOR}.${NC4F_VERSION_PATCH}${NC4F_VERSION_NOTE})
 SET(VERSION ${NC4F_VERSION})
@@ -291,7 +294,7 @@
   MESSAGE(STATUS "\tBuilding Shared Libraries:\t" ${BUILD_SHARED_LIBS})
   MESSAGE(STATUS "\tBuilding netCDF-4:\t\t" ${ENABLE_NETCDF4})
   MESSAGE(STATUS "\tBuilding DAP Support:\t\t" ${ENABLE_DAP})
-
+  MESSAGE(STATUS "\tLogging Support:\t\t" ${STATUS_LOGGING})
   IF(STATUS_PNETCDF)
     MESSAGE(STATUS "\tUsing pnetcdf:\t\t\t" ${STATUS_PNETCDF})
   ENDIF(STATUS_PNETCDF)
@@ -361,8 +364,6 @@
 SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/"
   CACHE INTERNAL "Location of our custom CMake modules.")
 
-SET(USE_LOGGING "ON")
-
 #####
 # Some utility macros/scripts.
 
@@ -420,6 +421,3 @@
   # netCDF not properly packaged. Try to find it manually.
   FIND_LIBRARY(NETCDF_C_LIBRARY NAMES netcdf libnetcdf)
   IF(NOT NETCDF_C_LIBRARY)
-    MESSAGE(FATAL_ERROR "libnetcdf not found. Please reinstall and try again.")
-  ELSE()
-    MESSAGE(STATUS "Found netcdf: ${NETCDF_C_LIBRARY}")
