=== debian/changelog ===
netcdf-fortran (4.4.4+ds-3) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.0, changes: priority.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Add libnetcdf-dev to dependencies of -dev package.
  * Add patch to fix spelling errors.
  * Add patch to fix privacy-breach-generic lintian issues.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Nov 2017 07:56:52 +0100

netcdf-fortran (4.4.4+ds-2) unstable; urgency=medium

  * Don't install examples, part of testsuite not real examples.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 15:27:33 +0200

netcdf-fortran (4.4.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for 4.4.4.
  * Repack upstream tarball to excluded autom4te.cache directory.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 May 2016 14:25:11 +0200

netcdf-fortran (4.4.3-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Mar 2016 15:46:12 +0200
