=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libjs-jquery,
                libnetcdf-dev (>= 1:4.4.0),
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-fortran.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/netcdf-fortran.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/netcdf-fortran.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
 
 Package: libnetcdff6
@@ -39,6 +39,7 @@
 Architecture: any
 Section: libdevel
 Depends: libnetcdff6 (= ${binary:Version}),
+         libnetcdf-dev,
          ${misc:Depends}
 Recommends: pkg-config
 Suggests: netcdf-bin,
@@ -58,7 +59,6 @@
 Package: libnetcdff-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: libnetcdff6 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: gdb
