=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,12 @@
 
 #export DH_VERBOSE=1
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 # Verbose test output
 export VERBOSE=1
@@ -35,10 +40,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.md
 
-override_dh_installexamples-arch:
-	dh_installexamples --arch
-	chmod 644 debian/*/usr/share/doc/*/examples/*/*.sh
-
 override_dh_strip:
 	dh_strip --dbg-package=libnetcdff-dbg
